System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.DataException

The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

The exception that is thrown when a name conflict occurs while generating a strongly typed .

- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class.

  object containing a dynamic list of exceptions.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class with the specified string.

- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class using the specified serialization information and streaming context.

  A object.
  A structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class with the specified string and inner exception.

- Property
  System.Collections.ArrayList To be added: an object of type 'Collections.ArrayList'

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Gets a dynamic list of generated errors.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Implements the ISerializable interface and returns the data needed to serialize the object.

  A object. A structure. 1.0.5000.0 2.0.0.0